Arch Floor/tr: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
(10 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<div class="mw-translate-fuzzy">
{{docnav|[[Arch_Rebar|Rebar]]|[[Arch_BuildingPart|Building Part]]|[[Arch_Module|Arch]]|IconL=Arch_Rebar.svg |IconC=Workbench_Arch.svg |IconR=Arch_BuildingPart.svg}}
{{docnav/tr|[[Arch_Rebar|Rebar]]|[[Arch_BuildingPart|Building Part]]|[[Arch_Module|Arch]]|IconL=Arch_Rebar.svg |IconC=Workbench_Arch.svg |IconR=Arch_BuildingPart.svg}}
</div>


<div class="mw-translate-fuzzy">
{{GuiCommand
{{GuiCommand/tr
|Name=Arch Floor
|Name=Arch Floor
|MenuLocation=Arch → Floor
|MenuLocation=Arch → Floor
|Workbenches=[[Arch Module|Arch]]
|Workbenches=[[Arch Module|Arch]]
|Shortcut=F L
|Shortcut={{KEY|F}} {{KEY|L}}
|SeeAlso=[[Arch Building]], [[Arch BuildingPart]]
|SeeAlso=[[Arch Building]], [[Arch BuildingPart]], [[Arch Site]]
}}
}}
</div>


==Description==
==Description==


The Arch Floor is a special type of FreeCAD group object that has a couple of additional properties particularly suited for building floors. Particularly, they have a height property, that its children objects ([[Arch Wall|walls]] and [[Arch Structure|structures]]) can use to set their own height automatically. They are mostly used to organize your model.
The [[Arch Floor|Arch Floor]] is a special type of FreeCAD group object that has a couple of additional properties particularly suited for building floors. Particularly, they have a height property, that its children objects ([[Arch Wall|walls]] and [[Arch Structure|structures]]) can use to set their own height automatically. They are mostly used to organize your model.


As of {{VersionPlus|0.18}} the Arch Floor is derived entirely from the [[Arch BuildingPart|Arch BuildingPart]] object, which is a general container to organize a building model not limited to floors or storeys. Older Floor objects can be converted to the new type by right clicking on them and choosing {{incode|Convert to BuildingPart}}.
==How to use==

==Usage==


# Optionally, select one or more objects to be included in your new floor.
# Optionally, select one or more objects to be included in your new floor.
# Invoke the Arch Floor command several ways:
# Press the {{Button|[[Image:Arch Floor.svg|16px]] [[Arch Floor]]}} button or press the {{KEY|F}} then {{KEY|L}} keys.
#* Pressing the {{Button|[[Image:Arch Floor.svg|16px]] [[Arch Floor|Arch Floor]]}} button on the toolbar.
#* Using the {{KEY|F}} then {{KEY|L}} keyboard keys.
#* Using the {{MenuCommand|Arch → Floor}} entry from the top menu.


==Options==
==Options==


* After creating a floor, you can add more objects to it by drag and dropping them in the Tree View or by using the {{Button|[[Image:Arch Add.svg|16px]] [[Arch Add]]}} tool.
* After creating a floor, you can add more objects to it by drag and dropping them in the Tree View or by using the {{Button|[[Image:Arch Add.svg|16px]] [[Arch Add|Arch Add]]}} tool.
* You can remove objects from a floor by drag and dropping them out of it the Tree View or by using the {{Button|[[Image:Arch Remove.svg|16px]] [[Arch Remove]]}} tool.
* You can remove objects from a floor by drag and dropping them out of it the Tree View or by using the {{Button|[[Image:Arch Remove.svg|16px]] [[Arch Remove|Arch Remove]]}} tool.


==Properties==
==Properties==


An Arch Floor object shares all properties from an [[Arch BuildingPart|Arch BuildingPart]], with the {{PropertyData|Ifc Role}} set to {{incode|"Building Storey"}}.
* {{PropertyData|Height}}: The height of the floor, to be used by its child objects


==Scripting==
==Scripting==
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[Arch API|Arch API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].


The Floor tool can be used in [[macros]] and from the [[Python]] console by using the following function:
The Floor tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:
{{Code|code=
{{Code|code=
Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
Line 39: Line 48:


Example:
Example:

{{Code|code=
{{Code|code=
import FreeCAD, Draft, Arch
import FreeCAD, Draft, Arch
Line 57: Line 67:
FreeCAD.ActiveDocument.recompute()
FreeCAD.ActiveDocument.recompute()
}}
}}
{{docnav|[[Arch_Rebar|Rebar]]|[[Arch_BuildingPart|Building Part]]|[[Arch_Module|Arch]]|IconL=Arch_Rebar.svg |IconC=Workbench_Arch.svg |IconR=Arch_BuildingPart.svg}}


<div class="mw-translate-fuzzy">
{{Arch Tools navi}}
{{docnav/tr|[[Arch_Rebar|Rebar]]|[[Arch_BuildingPart|Building Part]]|[[Arch_Module|Arch]]|IconL=Arch_Rebar.svg |IconC=Workbench_Arch.svg |IconR=Arch_BuildingPart.svg}}
</div>

{{Arch Tools navi{{#translation:}}}}


{{Userdocnavi}}
{{Userdocnavi{{#translation:}}}}

Revision as of 21:37, 19 February 2020

Arch Floor

Menü konumu
Arch → Floor
Tezgahlar
Arch
Varsayılan kısayol
F L
Versiyonda tanıtıldı
-
Ayrıca bkz
Arch Building, Arch BuildingPart, Arch Site

Description

The Arch Floor is a special type of FreeCAD group object that has a couple of additional properties particularly suited for building floors. Particularly, they have a height property, that its children objects (walls and structures) can use to set their own height automatically. They are mostly used to organize your model.

As of version 0.18 and above the Arch Floor is derived entirely from the Arch BuildingPart object, which is a general container to organize a building model not limited to floors or storeys. Older Floor objects can be converted to the new type by right clicking on them and choosing Convert to BuildingPart.

Usage

  1. Optionally, select one or more objects to be included in your new floor.
  2. Invoke the Arch Floor command several ways:
    • Pressing the Arch Floor button on the toolbar.
    • Using the F then L keyboard keys.
    • Using the Arch → Floor entry from the top menu.

Options

  • After creating a floor, you can add more objects to it by drag and dropping them in the Tree View or by using the Arch Add tool.
  • You can remove objects from a floor by drag and dropping them out of it the Tree View or by using the Arch Remove tool.

Properties

An Arch Floor object shares all properties from an Arch BuildingPart, with the VeriIfc Role set to "Building Storey".

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Floor tool can be used in macros and from the Python console by using the following function:

Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
  • Creates a Floor object from objectslist, which is a list of objects.

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Floor = Arch.makeFloor([Wall1, Wall2])

Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()